> This page is for version Generative (default).
> For other versions, use one of these documentation indexes:
> - Generative (default): https://developers.ada.cx/generative/llms.txt
> - Scripted: https://developers.ada.cx/scripted/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.ada.cx/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.ada.cx/_mcp/server.

# Get a single knowledge article

GET https://example.ada.support/api/v2/knowledge/articles/{id}

Get knowledge article by id

Reference: https://developers.ada.cx/reference/knowledge/articles/get

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `id` (string, required) — The id of the article to retrieve

## Response

### 200

Knowledge article

- `id` (string, required) — A unique identifier for the article
- `name` (string, required) — The name or title of the article
- `content` (string, required) — The content of the article in markdown format
- `url` (string, optional) — The url of the article
- `knowledge_source_id` (string, optional) — The id of the `knowledge_source` the article belongs to
- `language` (enum, optional) — The ISO 639-1 language code of the article, defaults to `en`
  - Allowed values: `ar`, `zh`, `zh-tw`, `da`, `nl`, `en`, `fi`, `fr`, `de`, `he`, `hi`, `id`, `in`, `it`, `ja`, `ko`, `ms`, `pt`, `pa`, `ru`, `es`, `sv`, `tl`, `ta`, `th`, `tr`, `vi`, `ht`, `my`, `km`, `bg`, `ro`, `el`, `hu`, `pl`, `cs`, `et`, `hr`, `lt`, `lv`, `sl`, `sk`, `is`, `be`, `uk`, `ca`, `sq`, `bs`, `sr`, `kk`
- `tag_ids` (list of string, optional) — A list of ids for the tags associated with the article
- `created` (string, optional) — The date the article was created in Ada
- `updated` (string, optional) — The date the article was last updated in Ada
- `external_created` (string, optional) — The date the article was created in the source system
- `external_updated` (string, optional) — The date the article was last updated in the source system
- `enabled` (boolean, optional) — Whether the article should be referenced during response generation, defaults to `true`
- `metadata` (KnowledgeArticleResponseMetadata, optional) — A dictionary of arbitrary key,value pairs. This data is not used by Ada, but can be used by the client to store additional information about the article.

## Types

### KnowledgeArticleResponseMetadata

A dictionary of arbitrary key,value pairs. This data is not used by Ada, but can be used by the client to store additional information about the article.

## Examples

**Response**

```json
{
  "id": "5df263b7db5a7e6ea03fae9b",
  "name": "How to reset your password",
  "content": "# How to reset your password\\n\\n1. Go to the login page\\n2. Click on the \"Forgot password\" link\\n3. Follow the instructions",
  "url": "https://example.com/article",
  "knowledge_source_id": "5df263b7db5a7e6ea03fae9b",
  "language": "ar",
  "tag_ids": [
    "foo"
  ],
  "created": "2020-09-20T00:00:00+00:00",
  "updated": "2020-09-20T00:00:00+00:00",
  "external_created": "2020-09-20T00:00:00+00:00",
  "external_updated": "2020-09-20T00:00:00+00:00",
  "enabled": true,
  "metadata": {}
}
```

**SDK Code**

```python 
import requests

url = "https://example.ada.support/api/v2/knowledge/articles/5df263b7db5a7e6ea03fae9b"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript 
const url = 'https://example.ada.support/api/v2/knowledge/articles/5df263b7db5a7e6ea03fae9b';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go 
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://example.ada.support/api/v2/knowledge/articles/5df263b7db5a7e6ea03fae9b"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby 
require 'uri'
require 'net/http'

url = URI("https://example.ada.support/api/v2/knowledge/articles/5df263b7db5a7e6ea03fae9b")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java 
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://example.ada.support/api/v2/knowledge/articles/5df263b7db5a7e6ea03fae9b")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php 
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://example.ada.support/api/v2/knowledge/articles/5df263b7db5a7e6ea03fae9b', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp 
using RestSharp;

var client = new RestClient("https://example.ada.support/api/v2/knowledge/articles/5df263b7db5a7e6ea03fae9b");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift 
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://example.ada.support/api/v2/knowledge/articles/5df263b7db5a7e6ea03fae9b")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```